| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ToolHandleInfo Class Reference

General info and helper functions for toolhandles and arrays. More...

`#include <GaudiKernel/ToolHandle.h>`

Inheritance diagram for ToolHandleInfo:
[legend]
Collaboration diagram for ToolHandleInfo:
[legend]

## Public Member Functions
virtual | ~ToolHandleInfo ()=default
bool | isPublic () const
bool | createIf () const
const IInterface * | parent () const

## Static Public Member Functions
static std::string | toolComponentType (const IInterface *parent)
static std::string | toolParentName (const IInterface *parent)

## Protected Member Functions
| ToolHandleInfo (const IInterface *parent=nullptr, bool createIf=true)

## Protected Attributes
const IInterface * | m_parent
bool | m_createIf

## Detailed Description

General info and helper functions for toolhandles and arrays.

Definition at line 25 of file ToolHandle.h.

## Constructor & Destructor Documentation

ToolHandleInfo::ToolHandleInfo | ( | const IInterface * | parent = `nullptr`,
|  | bool | createIf = `true`
| ) |  |
| inline protected

Definition at line 27 of file ToolHandle.h.

28 : m_parent(parent), m_createIf(createIf)
29 {}
ToolHandleInfo::createIf
bool createIf() const
Definition: ToolHandle.h:36
ToolHandleInfo::m_parent
const IInterface * m_parent
Definition: ToolHandle.h:54
ToolHandleInfo::m_createIf
bool m_createIf
Definition: ToolHandle.h:55

virtual ToolHandleInfo::~ToolHandleInfo | ( |  | ) |
| virtual default

## Member Function Documentation

bool ToolHandleInfo::createIf | ( |  | ) | const
| inline

Definition at line 36 of file ToolHandle.h.

36 { return m_createIf; }
ToolHandleInfo::m_createIf
bool m_createIf
Definition: ToolHandle.h:55

bool ToolHandleInfo::isPublic | ( |  | ) | const
| inline

Definition at line 34 of file ToolHandle.h.

34 { return !m_parent; }
ToolHandleInfo::m_parent
const IInterface * m_parent
Definition: ToolHandle.h:54

const IInterface* ToolHandleInfo::parent | ( |  | ) | const
| inline

Definition at line 38 of file ToolHandle.h.

38 { return m_parent; }
ToolHandleInfo::m_parent
const IInterface * m_parent
Definition: ToolHandle.h:54

static std::string ToolHandleInfo::toolComponentType | ( | const IInterface * | parent | ) |
| inline static

Definition at line 43 of file ToolHandle.h.

43 {
44 return parent ? "PrivateTool" : "PublicTool";
45 }

static std::string ToolHandleInfo::toolParentName | ( | const IInterface * | parent | ) |
| inline static

Definition at line 47 of file ToolHandle.h.

47 {
48 if (!parent) return "ToolSvc";
49 const INamedInterface* pNamed = dynamic_cast<const INamedInterface*>(parent);
50 return pNamed ? pNamed->name() : "";
51 }
INamedInterface::name
virtual const std::string & name() const =0
Retrieve the name of the instance.
ToolHandleInfo::parent
const IInterface * parent() const
Definition: ToolHandle.h:38
INamedInterface
IInterface compliant class extending IInterface with the name() method.
Definition: INamedInterface.h:15

## Member Data Documentation

bool ToolHandleInfo::m_createIf
| protected

Definition at line 55 of file ToolHandle.h.

const IInterface* ToolHandleInfo::m_parent
| protected

Definition at line 54 of file ToolHandle.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/ToolHandle.h